package com.example.buttontest;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {
    Button btn; //stores reference to button for the whole class

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        //get reference to button
        btn = (Button) findViewById((R.id.button));
        //change the buttons caption
        //(usually done in the XML or via a string resource)
        btn.setText("Say Hello");
        //attach the click listener
        btn.setOnClickListener(new HandleClick());
    }
    class HandleClick implements View.OnClickListener {
        public void onClick(View arg0) {
            Toast.makeText(getApplicationContext(), "Hello world!", Toast.LENGTH_SHORT ).show();
           btn.setText("Thankyou");
        }
    }
}
